Skip to content
Webfold Docs
Esc
↑↓navigate↵open⌘Jpreview

Create and archive a bookmark

Scrape the provided URL, archive the Markdown, and store the bookmark. Optionally assign it to an existing collection.

POST/v1/bookmarks
Authorization
AuthorizationBearer token (JWT) · headerrequired

Bearer API key issued for your account. Send Authorization: Bearer <key>.

Request body
requiredapplication/json
urlstring<uri>required
titlestring
descriptionstring
tagsstring[]
collection_idstring

Existing collection ID to assign the bookmark to

Responses
201

Created bookmark

idstringrequired
urlstring<uri>required
titlestringrequired
descriptionstringrequired
tagsstring[]required
collection_idstring | null
ownerstringrequired
archived_contentstringrequired

Markdown archived from the URL at creation time

archived_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time>required
400

Bad request

string
401

Missing or invalid bearer token

string
403

Billing or plan entitlement blocked the request

string
502

Upstream service (arXiv, YouTube, web page) failed

string
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.webfold.ai/v1/bookmarks' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "https://example.com",
  "title": "Example",
  "description": "An example page",
  "tags": [
    "demo"
  ],
  "collection_id": "col_1"
}'
Response
{
  "id": "bkm_1",
  "url": "https://example.com",
  "title": "Example",
  "description": "An example page",
  "tags": [
    "demo"
  ],
  "collection_id": "col_1",
  "owner": "dev",
  "archived_content": "string",
  "archived_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}